[FAQ] Is mijn smartphone compatibel met itsme®?

  • 30 januari 2018
  • 0 reacties
  • 1239 Bekeken

Werk je met Android (4.2 of hoger) of Apple (iOS 9.0 of hoger), dan is je smartphone perfect compatibel met itsme®️.

0 reacties

Geen reactie

Reageer